local ADDON = ...
local PATH = "Interface\\AddOns\\GoblinTalk\\Sounds\\"
local LSM = LibStub("LibSharedMedia-3.0")

--- LSM:Register("sound", "Goblin Talk: XXXXXXXX", [[Interface\Addons\GoblinTalk\Sounds\XXXXXXXX.ogg]])

LSM:Register("sound", "Goblin: 1", [[Interface\Addons\GoblinTalk\Sounds\1.ogg]])
LSM:Register("sound", "Goblin: 2", [[Interface\Addons\GoblinTalk\Sounds\2.ogg]])
LSM:Register("sound", "Goblin: 3", [[Interface\Addons\GoblinTalk\Sounds\3.ogg]])
LSM:Register("sound", "Goblin: 4", [[Interface\Addons\GoblinTalk\Sounds\4.ogg]])
LSM:Register("sound", "Goblin: 5", [[Interface\Addons\GoblinTalk\Sounds\5.ogg]])
LSM:Register("sound", "Goblin: Add", [[Interface\Addons\GoblinTalk\Sounds\Add.ogg]])
LSM:Register("sound", "Goblin: Adds", [[Interface\Addons\GoblinTalk\Sounds\Adds.ogg]])
LSM:Register("sound", "Goblin: Attack Player", [[Interface\Addons\GoblinTalk\Sounds\AttackPlayer.ogg]])
LSM:Register("sound", "Goblin: Back Away", [[Interface\Addons\GoblinTalk\Sounds\BackAway.ogg]])
LSM:Register("sound", "Goblin: Bloodlust", [[Interface\Addons\GoblinTalk\Sounds\Bloodlust.ogg]])
LSM:Register("sound", "Goblin: Bosses Apart", [[Interface\Addons\GoblinTalk\Sounds\BossesApart.ogg]])
LSM:Register("sound", "Goblin: Bosses Together", [[Interface\Addons\GoblinTalk\Sounds\BossesTogether.ogg]])
LSM:Register("sound", "Goblin: Catch Add", [[Interface\Addons\GoblinTalk\Sounds\CatchAdd.ogg]])
LSM:Register("sound", "Goblin: CC Add", [[Interface\Addons\GoblinTalk\Sounds\CCAdd.ogg]])
LSM:Register("sound", "Goblin: Change Boss", [[Interface\Addons\GoblinTalk\Sounds\ChangeBoss.ogg]])
LSM:Register("sound", "Goblin: Change Position", [[Interface\Addons\GoblinTalk\Sounds\ChangePosition.ogg]])
LSM:Register("sound", "Goblin: Change Target", [[Interface\Addons\GoblinTalk\Sounds\ChangeTarget.ogg]])
LSM:Register("sound", "Goblin: Charge", [[Interface\Addons\GoblinTalk\Sounds\Charge.ogg]])
LSM:Register("sound", "Goblin: Control Add", [[Interface\Addons\GoblinTalk\Sounds\ControlAdd.ogg]])
LSM:Register("sound", "Goblin: Defense", [[Interface\Addons\GoblinTalk\Sounds\Defense.ogg]])
LSM:Register("sound", "Goblin: Dispel", [[Interface\Addons\GoblinTalk\Sounds\Dispel.ogg]])
LSM:Register("sound", "Goblin: Dodge", [[Interface\Addons\GoblinTalk\Sounds\Dodge.ogg]])
LSM:Register("sound", "Goblin: Dodge Tentacle Smash", [[Interface\Addons\GoblinTalk\Sounds\DodgeTentacleSmash.ogg]])
LSM:Register("sound", "Goblin: Don't Jump", [[Interface\Addons\GoblinTalk\Sounds\DontJump.ogg]])
LSM:Register("sound", "Goblin: Don't Move", [[Interface\Addons\GoblinTalk\Sounds\DontMove.ogg]])
LSM:Register("sound", "Goblin: Drop Debuff", [[Interface\Addons\GoblinTalk\Sounds\DropDebuff.ogg]])
LSM:Register("sound", "Goblin: Drop Pool", [[Interface\Addons\GoblinTalk\Sounds\DropPool.ogg]])
LSM:Register("sound", "Goblin: Free Player", [[Interface\Addons\GoblinTalk\Sounds\FreePlayer.ogg]])
LSM:Register("sound", "Goblin: Gather at Mark", [[Interface\Addons\GoblinTalk\Sounds\GatherAtMark.ogg]])
LSM:Register("sound", "Goblin: Get Out", [[Interface\Addons\GoblinTalk\Sounds\GetOut.ogg]])
LSM:Register("sound", "Goblin: Get under Shield", [[Interface\Addons\GoblinTalk\Sounds\GetUnderShield.ogg]])
LSM:Register("sound", "Goblin: Hide", [[Interface\Addons\GoblinTalk\Sounds\Hide.ogg]])
LSM:Register("sound", "Goblin: I Like To Move It", [[Interface\Addons\GoblinTalk\Sounds\ILikeToMoveIt.ogg]])
LSM:Register("sound", "Goblin: Jump Incoming", [[Interface\Addons\GoblinTalk\Sounds\JumpIncoming.ogg]])
LSM:Register("sound", "Goblin: Keep Jumping", [[Interface\Addons\GoblinTalk\Sounds\KeepJumping.ogg]])
LSM:Register("sound", "Goblin: Keep Moving", [[Interface\Addons\GoblinTalk\Sounds\KeepMoving.ogg]])
LSM:Register("sound", "Goblin: Kick", [[Interface\Addons\GoblinTalk\Sounds\Kick.ogg]])
LSM:Register("sound", "Goblin: Kill Add", [[Interface\Addons\GoblinTalk\Sounds\KillAdd.ogg]])
LSM:Register("sound", "Goblin: Kill Adds", [[Interface\Addons\GoblinTalk\Sounds\KillAdds.ogg]])
LSM:Register("sound", "Goblin: Kill Plant", [[Interface\Addons\GoblinTalk\Sounds\KillPlant.ogg]])
LSM:Register("sound", "Goblin: Kill Totem", [[Interface\Addons\GoblinTalk\Sounds\KillTotem.ogg]])
LSM:Register("sound", "Goblin: Kite Add", [[Interface\Addons\GoblinTalk\Sounds\KiteAdd.ogg]])
LSM:Register("sound", "Goblin: Look Away", [[Interface\Addons\GoblinTalk\Sounds\LookAway.ogg]])
LSM:Register("sound", "Goblin: Move Adds", [[Interface\Addons\GoblinTalk\Sounds\MoveAdds.ogg]])
LSM:Register("sound", "Goblin: Move Her", [[Interface\Addons\GoblinTalk\Sounds\MoveHer.ogg]])
LSM:Register("sound", "Goblin: Move Him", [[Interface\Addons\GoblinTalk\Sounds\MoveHim.ogg]])
LSM:Register("sound", "Goblin: Move It", [[Interface\Addons\GoblinTalk\Sounds\MoveIt.ogg]])
LSM:Register("sound", "Goblin: Move Them", [[Interface\Addons\GoblinTalk\Sounds\MoveThem.ogg]])
LSM:Register("sound", "Goblin: Move Boss", [[Interface\Addons\GoblinTalk\Sounds\MoveBoss.ogg]])
LSM:Register("sound", "Goblin: Move in Pool", [[Interface\Addons\GoblinTalk\Sounds\MoveinPool.ogg]])
LSM:Register("sound", "Goblin: Move in Puddle", [[Interface\Addons\GoblinTalk\Sounds\MoveInPuddle.ogg]])
LSM:Register("sound", "Goblin: New Add", [[Interface\Addons\GoblinTalk\Sounds\NewAdd.ogg]])
LSM:Register("sound", "Goblin: New Spawn", [[Interface\Addons\GoblinTalk\Sounds\NewSpawn.ogg]])
LSM:Register("sound", "Goblin: Portal Opened", [[Interface\Addons\GoblinTalk\Sounds\PortalOpened.ogg]])
LSM:Register("sound", "Goblin: Pull", [[Interface\Addons\GoblinTalk\Sounds\Pull.ogg]])
LSM:Register("sound", "Goblin: Pulltimer Countdown", [[Interface\Addons\GoblinTalk\Sounds\PulltimerCountdown.ogg]])
LSM:Register("sound", "Goblin: Run Against", [[Interface\Addons\GoblinTalk\Sounds\RunAgainst.ogg]])
LSM:Register("sound", "Goblin: Run Away", [[Interface\Addons\GoblinTalk\Sounds\RunAway.ogg]])
LSM:Register("sound", "Goblin: Run Away and Drop Puddle", [[Interface\Addons\GoblinTalk\Sounds\RunAwayAndDropPuddle.ogg]])
LSM:Register("sound", "Goblin: Run Away and Place Add", [[Interface\Addons\GoblinTalk\Sounds\RunAwayAndPlaceAdd.ogg]])
LSM:Register("sound", "Goblin: Run Away and Spread", [[Interface\Addons\GoblinTalk\Sounds\RunAwayAndSpread.ogg]])
LSM:Register("sound", "Goblin: Run into Smoke", [[Interface\Addons\GoblinTalk\Sounds\RunIntoSmoke.ogg]])
LSM:Register("sound", "Goblin: Run Safe", [[Interface\Addons\GoblinTalk\Sounds\RunSafe.ogg]])
LSM:Register("sound", "Goblin: Run to Add", [[Interface\Addons\GoblinTalk\Sounds\RunToAdd.ogg]])
LSM:Register("sound", "Goblin: Run to Adds", [[Interface\Addons\GoblinTalk\Sounds\RunToAdds.ogg]])
LSM:Register("sound", "Goblin: Run to Boss", [[Interface\Addons\GoblinTalk\Sounds\RunToBoss.ogg]])
LSM:Register("sound", "Goblin: Run to Partner", [[Interface\Addons\GoblinTalk\Sounds\RunToPartner.ogg]])
LSM:Register("sound", "Goblin: Shut Up Murloc", [[Interface\Addons\GoblinTalk\Sounds\ShutUpMurloc.ogg]])
LSM:Register("sound", "Goblin: Silence", [[Interface\Addons\GoblinTalk\Sounds\Silence.ogg]])
LSM:Register("sound", "Goblin: Soak", [[Interface\Addons\GoblinTalk\Sounds\Soak.ogg]])
LSM:Register("sound", "Goblin: Stand Alone", [[Interface\Addons\GoblinTalk\Sounds\StandAlone.ogg]])
LSM:Register("sound", "Goblin: Stand Close to Mate", [[Interface\Addons\GoblinTalk\Sounds\StandCloseToMate.ogg]])
LSM:Register("sound", "Goblin: Stand in Group", [[Interface\Addons\GoblinTalk\Sounds\StandinGroup.ogg]])
LSM:Register("sound", "Goblin: Stand in Light", [[Interface\Addons\GoblinTalk\Sounds\StandinLight.ogg]])
LSM:Register("sound", "Goblin: Stand in Puddle", [[Interface\Addons\GoblinTalk\Sounds\StandInPuddle.ogg]])
LSM:Register("sound", "Goblin: Stand near Tank", [[Interface\Addons\GoblinTalk\Sounds\StandNearTank.ogg]])
LSM:Register("sound", "Goblin: Stand Safe", [[Interface\Addons\GoblinTalk\Sounds\StandSafe.ogg]])
LSM:Register("sound", "Goblin: Stand Together", [[Interface\Addons\GoblinTalk\Sounds\StandTogether.ogg]])
LSM:Register("sound", "Goblin: Stop Attacking", [[Interface\Addons\GoblinTalk\Sounds\StopAttacking.ogg]])
LSM:Register("sound", "Goblin: Stun", [[Interface\Addons\GoblinTalk\Sounds\Stun.ogg]])
LSM:Register("sound", "Goblin: Stun Adds Soon", [[Interface\Addons\GoblinTalk\Sounds\StunAddsSoon.ogg]])
LSM:Register("sound", "Goblin: Stun Player", [[Interface\Addons\GoblinTalk\Sounds\StunPlayer.ogg]])
LSM:Register("sound", "Goblin: Switch Boss", [[Interface\Addons\GoblinTalk\Sounds\SwitchBoss.ogg]])
LSM:Register("sound", "Goblin: Take Cover", [[Interface\Addons\GoblinTalk\Sounds\TakeCover.ogg]])
LSM:Register("sound", "Goblin: Taunt", [[Interface\Addons\GoblinTalk\Sounds\Taunt.ogg]])
LSM:Register("sound", "Goblin: TauntAdd", [[Interface\Addons\GoblinTalk\Sounds\TauntAdd.ogg]])
LSM:Register("sound", "Goblin: We Win", [[Interface\Addons\GoblinTalk\Sounds\WeWin.ogg]])
LSM:Register("sound", "Goblin: You Are Not Prepared", [[Interface\Addons\GoblinTalk\Sounds\YouAreNotPrepared.ogg]])
LSM:Register("sound", "Goblin: You Lose", [[Interface\Addons\GoblinTalk\Sounds\YouLose.ogg]])
